Package org.apache.sling.maven.bundlesupport.deploy

# Class DeployContext

java.lang.Object
org.apache.sling.maven.bundlesupport.deploy.DeployContext

public final class DeployContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`DeployContext()`

## Method Summary

Modifier and Type
Method
Description
`DeployContext`
`bundleStart(boolean bundleStart)`
`DeployContext`
`bundleStartLevel(String bundleStartLevel)`
`DeployContext`
`failOnError(boolean failOnError)`
`String`
`getBundleStartLevel()`
`org.apache.hc.client5.http.impl.classic.CloseableHttpClient`
`getHttpClient()`
`org.apache.maven.plugin.logging.Log`
`getLog()`
`String`
`getMimeType()`
`DeployContext`
`httpClient(org.apache.hc.client5.http.impl.classic.CloseableHttpClient httpClient)`
`boolean`
`isBundleStart()`
`boolean`
`isFailOnError()`
`boolean`
`isRefreshPackages()`
`DeployContext`
`log(org.apache.maven.plugin.logging.Log log)`
`DeployContext`
`mimeType(String mimeType)`
`DeployContext`
`refreshPackages(boolean refreshPackages)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeployContext

public DeployContext()

## Method Details

### getLog

public org.apache.maven.plugin.logging.Log getLog()

### log

public DeployContext log(org.apache.maven.plugin.logging.Log log)

### getHttpClient

public org.apache.hc.client5.http.impl.classic.CloseableHttpClient getHttpClient()

### httpClient

public DeployContext httpClient(org.apache.hc.client5.http.impl.classic.CloseableHttpClient httpClient)

### isFailOnError

public boolean isFailOnError()

### failOnError

public DeployContext failOnError(boolean failOnError)

### getBundleStartLevel

public String getBundleStartLevel()

### bundleStartLevel

public DeployContext bundleStartLevel(String bundleStartLevel)

### isBundleStart

public boolean isBundleStart()

### bundleStart

public DeployContext bundleStart(boolean bundleStart)

### getMimeType

public String getMimeType()

### mimeType

public DeployContext mimeType(String mimeType)

### isRefreshPackages

public boolean isRefreshPackages()

### refreshPackages

public DeployContext refreshPackages(boolean refreshPackages)